Bug 182718 - Sleeping function called from invalid context at include/asm/uaccess.h:438
Sleeping function called from invalid context at include/asm/uaccess.h:438
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Wright
Brian Brock
:
Depends On:
Blocks: 179599
  Show dependency treegraph
 
Reported: 2006-02-24 04:05 EST by Russell Strong
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: kernel-xen-2.6.17-1.2577
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 18:09:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Strong 2006-02-24 04:05:56 EST
Description of problem:

Noticed the following in the log.  Sorry if this is a duplicate, I'm not able to
determine that myself.  No other side effects other then these messages in the log.

Feb 24 19:28:49 localhost kernel: Debug: sleeping function called from invalid
context at include/asm/uaccess.h:438
Feb 24 19:28:49 localhost kernel: in_atomic():1, irqs_disabled():0
Feb 24 19:28:49 localhost kernel:  [<c0114773>] __sync_single+0x10a/0x144
Feb 24 19:28:49 localhost kernel:  [<f4a5f567>] qh_completions+0x31f/0x356
[ehci_hcd]
Feb 24 19:28:49 localhost kernel:  [<c0114840>] unmap_single+0x47/0xc5
Feb 24 19:28:49 localhost kernel:  [<c027170e>] usb_hcd_giveback_urb+0x79/0xc3
Feb 24 19:28:49 localhost kernel:  [<f4a5c794>] ehci_urb_done+0x77/0x85 [ehci_hcd]
Feb 24 19:28:49 localhost kernel:  [<f4a5f520>] qh_completions+0x2d8/0x356
[ehci_hcd]
Feb 24 19:28:49 localhost kernel:  [<f4a5f9d3>] ehci_work+0x9e/0x645 [ehci_hcd]
Feb 24 19:28:49 localhost kernel:  [<c02f8d6d>] _spin_unlock_irqrestore+0x9/0x31
Feb 24 19:28:49 localhost kernel:  [<c01195a8>] try_to_wake_up+0x2fd/0x307
Feb 24 19:28:49 localhost kernel:  [<f4a6017d>] ehci_irq+0x138/0x14b [ehci_hcd]
Feb 24 19:28:49 localhost kernel:  [<c02720f6>] usb_hcd_irq+0x26/0x55
Feb 24 19:28:49 localhost kernel:  [<c014033d>] handle_IRQ_event+0x42/0x85
Feb 24 19:28:49 localhost kernel:  [<c014040d>] __do_IRQ+0x8d/0xdc
Feb 24 19:28:49 localhost kernel:  [<c01092a5>] do_IRQ+0x1d/0x28
Feb 24 19:28:49 localhost kernel:  [<c0235a66>] evtchn_do_upcall+0x63/0x9d
Feb 24 19:28:49 localhost kernel:  [<c0107c74>] hypervisor_callback+0x2c/0x34
Feb 24 19:28:49 localhost kernel:  [<c0105bf6>] xen_idle+0x59/0x68
Feb 24 19:28:49 localhost kernel:  [<c0105d09>] cpu_idle+0x8b/0xa4
Feb 24 19:28:49 localhost kernel:  [<c03ca740>] start_kernel+0x325/0x32b


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chris Wright 2006-02-24 14:25:34 EST
__copy_to_user can sleep, this is an issue with Xen's swiotlb, which
I'm looking at at the moment.  Thanks for report.
Comment 3 Chris Wright 2006-11-13 18:09:27 EST
This has been fixed, closing.

Note You need to log in before you can comment on or make changes to this bug.